package org.kne.cloud.network.congestion;

import java.util.function.Consumer;

public class NOCongestionAlgorithm implements CongestionAlgorithm{

	private long timeout;

	@Override
	public void reset() {
		// TODO 自动生成的方法存根
		
	}

	public long getTimeout() {
		return timeout;
	}

	@Override
	public void setWindowControlConsumer(Consumer<Long> windowControlConsumer) {
		// TODO 自动生成的方法存根
		
	}



	@Override
	public void putAck(long packetSize, long latencyns, boolean ecn) {
		// TODO 自动生成的方法存根
		
	}

	@Override
	public void putLoss(long packetSize, long lossns, int losscounter) {
		// TODO 自动生成的方法存根
		
	}

	@Override
	public void setCurrentWindowUsed(long maxwindow) {
		// TODO 自动生成的方法存根
		
	}

	@Override
	public void setCurrentBandwidth(long bandwidth) {
		// TODO 自动生成的方法存根
		
	}

	public NOCongestionAlgorithm(long timeout) {
		super();
		this.timeout = timeout;
	}

	@Override
	public long getRTO() {
		return timeout;
	}

	@Override
	public String getName() {
		return "NO";
	}

}
